incubator-bigtop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From giridharan kesavan <gkesa...@hortonworks.com>
Subject Re: hive-metastore puppet module on bigtop-0.3.1
Date Mon, 01 Oct 2012 22:32:27 GMT
Roman,

hive comes with the derby library and should work out of the box.
Let me try to get it working with derby, and followup on postgresql.

-Giri

On 10/1/12 3:09 PM, Roman Shaposhnik wrote:
> On Mon, Oct 1, 2012 at 2:16 PM, giridharan kesavan
> <gkesavan@hortonworks.com> wrote:
>> All,
>>
>> It looks like bigtop-0.3.1 branch doesn't seem to install hive-metastore
>> with puppet modules.
>> Looking at the puppet module for hive, it only installs the hive package.
>> I'm trying to understand if there was an issue to enable hive-metastore
>> installation and starting the service?
>> Filed a jira for installing hive-metastore in hive puppet module. -
>> BIGTOP-722
> No issue as far as I can tell -- just an omission. There's a bit of complication
> that I can foresee which is Hive metastore really benefits from a SQL
> server behind it (I would recommend Derby). Thus if you really want to fix
> it in a reliable way Bigtop puppet will have to handle deploying one of the
> OS SQL servers (PostgreSQL perhaps?). I see there's a few puppet modules
> available on the Forge for doing that:
>      http://forge.puppetlabs.com/modules?q=postgresql&commit=Go
>
> It would be really nice if somebody could figure out how to get one work
> in Bigtop (providing that licensing is compatible).
>
> Thanks,
> Roman.
>


-- 
-Giri


Mime
View raw message